Boards

Import CSV data in a Board

POST
/public-api/v1/Boards/{boardId}/Import
cURL
curl --request POST \
  --url '/public-api/v1/Boards/{boardId}/Import' \
  --header 'user-api-key: <api-key>' \
  --header 'Content-Type: multipart/form-data'

Autorizaciones

  • user-api-keystringheader

    User's API Key · apiKey

Parámetros de ruta

  • boardIdstringobligatorio

Parámetros de consulta

  • skipWebhookboolean

    If true, no webhook is fired for this import event. Note: skipWebhook only guarantees that no webhook is fired for THIS event. If a previous webhook delivery had failed, the next successful delivery will include a cumulated diff that may contain changes from skipped imports.

Cuerpo

multipart/form-data
  • MappingIdstring

    Mapping's Id

  • CSVFilestring

    CSV file

  • Delimiterstring

    String used as column delimiter

  • KeepExistingboolean

    Keep the items not present in the CSV

Respuestas

OK

  • AddedEntitiesinteger
  • UpdatedEntitiesinteger
  • DeletedEntitiesinteger
  • UpdatedPropertiesinteger